if (jQuery(jQuery) != jQuery) {
	var oldJQuery = jQuery;
	jQuery = function() {
		if (arguments[0] == arguments.callee) {
			return arguments.callee;
		} else {
			return oldJQuery.apply(this, arguments);
		}
	};
	
	if (window.RichFaces && window.RichFaces.Memory) {
		window.RichFaces.Memory.addCleaner("jquery", function(node) {
			if (node && node[oldJQuery.expando]) {
				oldJQuery.event.remove(node);
			}
		});
	}
};
